#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x133c4d5f, "module_layout" },
	{ 0x7ea0ac52, "nft_reject_policy" },
	{ 0x6a5a0566, "nft_reject_validate" },
	{ 0x859b7216, "nft_reject_dump" },
	{ 0x256bebde, "nft_reject_init" },
	{ 0xf351e3d6, "nft_unregister_expr" },
	{ 0xe416025e, "nft_register_expr" },
	{ 0x289b9f55, "nf_send_unreach6" },
	{ 0xb0ce754e, "nf_send_reset6" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nft_reject,nf_tables,nf_reject_ipv6";


MODULE_INFO(srcversion, "AD25A6CF15F42A14C828A02");
